---
title: WorkerNavigator
slug: Web/API/WorkerNavigator
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
  - Web Workers
  - WorkerNavigator
  - Workers
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <code><strong>WorkerNavigator</strong></code> interface represents a subset of the {{DOMxRef("Navigator")}} interface allowed to be accessed from a {{DOMxRef("Worker")}}. Such an object is initialized for each worker and is available via the {{DOMxRef("WorkerGlobalScope.navigator")}} property obtained by calling <code>window.self.navigator</code>.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>WorkerNavigator</code></em><em> interface implements properties from the {{DOMxRef("NavigatorID")}}, {{DOMxRef("NavigatorLanguage")}}, {{DOMxRef("NavigatorOnLine")}}, {{DOMxRef("NavigatorDataStore")}}, and {{DOMxRef("NavigatorConcurrentHardware")}} interfaces. </em></p>

<dl>
 <dt>{{DOMxRef("WorkerNavigator.connection")}}{{ReadOnlyInline}}</dt>
 <dd>Provides a {{DOMxRef("NetworkInformation")}} object containing information about the network connection of a device.</dd>
 <dt>{{DOMxRef("WorkerNavigator.locks")}} {{Experimental_Inline}}{{ReadOnlyInline}}</dt>
 <dd>Returns a {{DOMxRef("LockManager")}} object which provides methods for requesting a new {{DOMxRef('Lock')}} object and querying for an existing <code>Lock</code> object.</dd>
 <dt>{{DOMxRef("WorkerNavigator.permissions")}} {{Experimental_Inline}}{{ReadOnlyInline}}</dt>
 <dd>Returns a {{DOMxRef("Permissions")}} object that can be used to query and update permission status of APIs covered by the <a href="/en-US/docs/Web/API/Permissions_API">Permissions API</a>.</dd>
 <dt>{{DOMxRef("Navigator.storage")}}{{ReadOnlyInline}} {{experimental_inline}}</dt>
 <dd>Returns a {{DOMxRef('StorageManager')}} interface for managing persistance permissions and estimating available storage.</dd>
</dl>

<h3 id="Inherited_properties">Inherited properties</h3>

<dl>
 <dt>{{DOMxRef("NavigatorID.appCodeName")}} {{Deprecated_Inline}}{{ReadOnlyInline}}</dt>
 <dd>Always returns <code>'Mozilla'</code>, in any browser. This property is kept only for compatibility purposes.</dd>
 <dt>{{DOMxRef("NavigatorID.appName")}} {{Deprecated_Inline}}{{ReadOnlyInline}}</dt>
 <dd>Returns the official name of the browser. Do not rely on this property to return the correct value.</dd>
 <dt>{{DOMxRef("NavigatorID.appVersion")}} {{Deprecated_Inline}}{{ReadOnlyInline}}</dt>
 <dd>Returns the version of the browser as a string. Do not rely on this property to return the correct value.</dd>
 <dt>{{DOMxRef("NavigatorConcurrentHardware.hardwareConcurrency")}}{{ReadOnlyInline}}</dt>
 <dd>Returns the number of logical processor cores available.</dd>
 <dt>{{DOMxRef("NavigatorLanguage.language")}}{{ReadOnlyInline}}</dt>
 <dd>Returns a {{DOMxRef("DOMString")}} representing the language version of the browser. The <code>null</code> value is returned when this is unknown.</dd>
 <dt>{{DOMxRef("NavigatorLanguage.languages")}}{{ReadOnlyInline}}</dt>
 <dd>Returns an array of {{DOMxRef("DOMString")}}s representing the languages known to the user, in order of preference.</dd>
 <dt>{{DOMxRef("NavigatorOnLine.onLine")}}{{ReadOnlyInline}}</dt>
 <dd>Returns a {{DOMxRef("Boolean")}} indicating whether the browser is online.</dd>
 <dt>{{DOMxRef("NavigatorID.platform")}} {{Deprecated_Inline}}{{ReadOnlyInline}}</dt>
 <dd>Returns a string representing the platform of the browser. Do not rely on this property to return the correct value.</dd>
 <dt>{{DOMxRef("NavigatorID.product")}} {{Deprecated_Inline}}{{ReadOnlyInline}}</dt>
 <dd>Always returns <code>'Gecko'</code>, on any browser. This property is kept only for compatibility purposes.</dd>
 <dt>{{DOMxRef("NavigatorID.userAgent")}}{{ReadOnlyInline}}</dt>
 <dd>Returns the user agent string for the current browser.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>WorkerNavigator</code></em><em> interface implements methods from the {{DOMxRef("NavigatorID")}}, {{DOMxRef("NavigatorLanguage")}} and {{DOMxRef("NavigatorOnLine")}} interfaces.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#workernavigator", "WorkerNavigator")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerNavigator")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other Worker-related interfaces: {{DOMxRef("Worker")}}, {{DOMxRef("WorkerLocation")}}, and {{DOMxRef("WorkerGlobalScope")}}.</li>
 <li><a href="/en-US/docs/Web/Guide/Performance/Using_web_workers">Using web workers.</a></li>
</ul>

